#ifndef SRC_ETHERNETTHREADPOOL_H_
#define SRC_ETHERNETTHREADPOOL_H_
#include <pthread.h>
#include <stdint.h>
#include <stdlib.h>
#include <stdarg.h>
#include <errno.h>
#include "mac_ethernet.h"

extern char **portsNames;
extern uint8_t portsnumber;

extern uint8_t send_loop_discovery_period;
extern uint8_t send_discovery_numbertimes;

pthread_t l2loop_send_discovery;
pthread_t *portsThreads;

void init_l2loop_send_discovery_thread(void);
void init_ethernet_thread_pool(void);
void join_ports_threads(void);

extern int getOwnMacAddress(void);

#endif /* SRC_ETHERNETTHREADPOOL_H_ */
